#ifndef TEXTURE_H
#define TEXTURE_H

GL_Texture create_texture(GLenum unit, bool nearest);

#if defined(TEXTURE_IMP) || defined(IMP)

#include <GL/glew.h>

GL_Texture
create_texture(GLenum unit, bool nearest)
{
	GL_Texture result = {0};

	glActiveTexture(unit);

	glGenTexture(1, &result.id)
}



#endif	/* defined(TEXTURE_IMP) || defined(IMP) */

#endif
